GNU bug report logs - #42563
27.0.91; Eldoc error void-function elisp-eldoc-funcall

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Yuan Fu <casouri@HIDDEN>; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.1, send any further explanations to 42563 <at> debbugs.gnu.org and Yuan Fu <casouri@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 42563 <at> debbugs.gnu.org:


Received: (at 42563) by debbugs.gnu.org; 4 Aug 2020 10:30:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 06:30:15 2020
Received: from localhost ([127.0.0.1]:46935 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2uD1-0001ys-2w
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 06:30:15 -0400
Received: from quimby.gnus.org ([95.216.78.240]:54924)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k2uCz-0001qP-9p
 for 42563 <at> debbugs.gnu.org; Tue, 04 Aug 2020 06:30:13 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=+PjYXE8i7zKk+EqksywKN2pCQdJvsqZJgG4Clwnv3UM=; b=Kp6xvOvhjrv7I+Qr1/khRxWjXs
 l0RVhGh8AUoaR+H+ChJ2hK37BPzAcgvCXz/OVClseWFe/NkjyX2cOYSYOqy28KanSFklxVnm8GADq
 wpq8PoOOM/aKd82Y4Y9Rq0A/GUy0SCruCzPAYryni8zlvMoQ4Xe9lFd94F+MZEO8ivNY=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k2uCq-0006iE-T9; Tue, 04 Aug 2020 12:30:07 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Yuan Fu <casouri@HIDDEN>
Subject: Re: bug#42563: 27.0.91; Eldoc error void-function elisp-eldoc-funcall
References: <389D91DA-3EA7-4A68-A451-BCCA0B5687CA@HIDDEN>
Date: Tue, 04 Aug 2020 12:30:03 +0200
In-Reply-To: <389D91DA-3EA7-4A68-A451-BCCA0B5687CA@HIDDEN> (Yuan Fu's
 message of "Mon, 27 Jul 2020 16:25:46 -0400")
Message-ID: <87imdyputw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Yuan Fu <casouri@HIDDEN> writes: > When Eldoc 1.5.0 is
   installed from ELPA, Emacs 27 reports error "eldoc > error: (void-function
    elisp-eldoc-funcall)”. > > To reproduce: > - Start Emacs and load eldoc.el
    v1.5.0 > - type M-: and ty [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42563
Cc: 42563 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Yuan Fu <casouri@HIDDEN> writes:

> When Eldoc 1.5.0 is installed from ELPA, Emacs 27 reports error "eldoc
> error: (void-function elisp-eldoc-funcall)=E2=80=9D.
>
> To reproduce:
> - Start Emacs and load eldoc.el v1.5.0
> - type M-: and type something in the minibuffer

From what I can tell, this was fixed in eldoc v1.8.0, which is now on
ELPA, so I'm closing this bug report.  If the bug still exists, please
respond to this message and we'll reopen.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42563; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Jul 2020 20:25:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 27 16:25:54 2020
Received: from localhost ([127.0.0.1]:55812 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k09h3-000403-OE
	for submit <at> debbugs.gnu.org; Mon, 27 Jul 2020 16:25:54 -0400
Received: from lists.gnu.org ([209.51.188.17]:53750)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <casouri@HIDDEN>) id 1k09h1-0003zw-Ta
 for submit <at> debbugs.gnu.org; Mon, 27 Jul 2020 16:25:52 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:57082)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <casouri@HIDDEN>) id 1k09h1-0003oF-NM
 for bug-gnu-emacs@HIDDEN; Mon, 27 Jul 2020 16:25:51 -0400
Received: from mail-qk1-x72b.google.com ([2607:f8b0:4864:20::72b]:43874)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <casouri@HIDDEN>) id 1k09gz-0000u7-9j
 for bug-gnu-emacs@HIDDEN; Mon, 27 Jul 2020 16:25:51 -0400
Received: by mail-qk1-x72b.google.com with SMTP id 2so12456174qkf.10
 for <bug-gnu-emacs@HIDDEN>; Mon, 27 Jul 2020 13:25:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:content-transfer-encoding:mime-version:subject:message-id:date
 :to; bh=rwH7LVU2+bECHAT9+XuXb4DpRUU7Jcrl5yY9MAEJaVY=;
 b=rw6i6Kd0A2pc1mR2yg1mo2zhuPJQlIHT4uqjFPlyS7MVRf0Naz5k1jEnahSndfIuuG
 giIB2fa+Q4Oir+rzHabLO2ex/kiBdyd9HCIWkOXrGGw9QYtv4tEbcFrWXhTxy0Cqa5Ty
 WG4KfL69k3QAQ9veQYPGkeRgMyfDopemHUlGnWhR4e51CtgxTnCJ+V3v4BqFfpmtCV94
 YkuoY/MkyX6wEtechXfwNtUho60FB4jSgWDFZrmG8ZPMxWXOE8CKpF5rttHN0lOJSGTA
 2P5dPfxEGBTSCiW8MEwVUSjvaFoVz1G4TbbjSnzQEfdfDtmUHtjiMgaM9C+7y47EIAXx
 ULSg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:content-transfer-encoding:mime-version
 :subject:message-id:date:to;
 bh=rwH7LVU2+bECHAT9+XuXb4DpRUU7Jcrl5yY9MAEJaVY=;
 b=oTvJBeJquMIRHJx3tJEDg7v05msTRfxBANG3hj+fZyr9j+jL2TNus0q7vXOqkYNlc3
 pHmmRhb4LvUZ6J8PGqjQJsgB27IYlXaNKktdWVxwEfxNl7hgEDBo6Yiv4WbCYwHijguT
 HKpc1nqDFOltkfxRvreVPYzmRl9HrNqmM79q4CsJnooVwjw1874NbHeoRPzmZgph+6Ua
 M1D5Mme6U65szkFxPsX1ad5CLA0RTBk/w2alhEUS2VOmcM7W2FWzNypTabnhpU8QMaXt
 1Hx/S2D2K4GQPeRdvs1pC91rxZTzrYS/PU3RGS/+6buh+Cg9TfwfBLs5z51LoZsPMMbg
 8Ypg==
X-Gm-Message-State: AOAM5305xK/MjleCMMo6Bire0swMyKiWJm96p25ypadrRAHIYru19n7j
 8B+OYMQ3J6HSm9W+juCNTluBdDojWcGGyw==
X-Google-Smtp-Source: ABdhPJwFPAQS/WoR17PqGjjceE0l5z1M7nUC6Ew9dyEZhngpilo0FZpEFS/S2vPT7PU3ggko8e/71w==
X-Received: by 2002:a05:620a:699:: with SMTP id
 f25mr23109992qkh.200.1595881547719; 
 Mon, 27 Jul 2020 13:25:47 -0700 (PDT)
Received: from ?IPv6:2601:98a:4200:9210:fd6c:17ba:2f50:d08a?
 ([2601:98a:4200:9210:fd6c:17ba:2f50:d08a])
 by smtp.gmail.com with ESMTPSA id d124sm19671979qkg.65.2020.07.27.13.25.46
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 27 Jul 2020 13:25:47 -0700 (PDT)
From: Yuan Fu <casouri@HIDDEN>
Content-Type: text/plain;
	charset=utf-8
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 13.4 \(3608.80.23.2.2\))
Subject: 27.0.91; Eldoc error void-function elisp-eldoc-funcall
Message-Id: <389D91DA-3EA7-4A68-A451-BCCA0B5687CA@HIDDEN>
Date: Mon, 27 Jul 2020 16:25:46 -0400
To: Bug Report Emacs <bug-gnu-emacs@HIDDEN>
X-Mailer: Apple Mail (2.3608.80.23.2.2)
Received-SPF: pass client-ip=2607:f8b0:4864:20::72b;
 envelope-from=casouri@HIDDEN; helo=mail-qk1-x72b.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 URIBL_BLOCKED=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

When Eldoc 1.5.0 is installed from ELPA, Emacs 27 reports error "eldoc =
error: (void-function elisp-eldoc-funcall)=E2=80=9D.

To reproduce:
- Start Emacs and load eldoc.el v1.5.0
- type M-: and type something in the minibuffer


In GNU Emacs 27.0.91 (build 1, x86_64-apple-darwin19.5.0, NS =
appkit-1894.50 Version 10.15.5 (Build 19F101))
of 2020-07-27 built on Brown
Windowing system distributor 'Apple', version 10.3.1894
System Description:  Mac OS X 10.15.5

Recent messages:
Loading vc/ediff-hook...done
Loading uniquify...done
Loading electric...done
Loading emacs-lisp/eldoc...done
Loading cus-start...done
Loading tooltip...done
Loading =
/Applications/Emacs.app/Contents/Resources/lisp/leim/leim-list.el =
(source)...done
Finding pointers to doc strings...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Loading loadup.el (source)...done

Configured using:
'configure --with-modules --with-pdumper=3Dyes
=
--oldincludedir=3D/Applications/Xcode.app/Contents/Developer/Platforms/Mac=
OSX.platform/Developer/SDKs/MacOSX.sdk/usr/include/libxml2/
--with-ns
=
PKG_CONFIG_PATH=3D/usr/local/Cellar/zlib/1.2.8/lib/pkgconfig:/usr/local/li=
b/pkgconfig:/opt/X11/lib/pkgconfig'

Configured features:
RSVG DBUS GLIB NOTIFY KQUEUE ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS
XIM NS MODULES THREADS JSON PDUMPER LCMS2

Important settings:
  value of $LC_CTYPE: UTF-8
  value of $LANG: en_CN.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/Applications/Emacs.app/Contents/Resources/lisp/mail/metamail hides =
/Applications/Emacs.app/Contents/Resources/lisp/obsolete/metamail
/Applications/Emacs.app/Contents/Resources/lisp/sb-image hides =
/Applications/Emacs.app/Contents/Resources/lisp/obsolete/sb-image

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml easymenu mml-sec password-cache epa derived epg
epg-config gnus-util rmail rmail-loaddefs text-property-search time-date
subr-x seq byte-opt bytecomp byte-compile cconv mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils cl-macs gv
easy-mmode cl-loaddefs cl-lib tooltip cus-start eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/ns-win ns-win
ucs-normalize mule-util term/common-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core term/tty-colors frame minibuffer cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind kqueue
cocoa ns lcms2 multi-tty make-network-process emacs)

Memory information:
((conses 16 273630 16787)
(symbols 48 20909 2)
(strings 32 56595 2057)
(string-bytes 1 2402050)
(vectors 16 51729)
(vector-slots 8 1412176 66054)
(floats 8 187 63)
(intervals 56 219 0)
(buffers 1000 12))




Acknowledgement sent to Yuan Fu <casouri@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#42563; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 4 Aug 2020 10:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.